Take the 2-minute tour ×
Stack Apps is a question and answer site for apps, scripts, and development with the Stack Exchange API. It's 100% free, no registration required.

This has become a bit of a concern for me with the upcoming beta for v2.0 of the API. The problem is simple: if someone wants to know what version of the API a library is compatible with (or at least makes use of), they need to either visit the library's page or look a the source code (since not every library advertises the version it uses).

A similar problem (listing libraries by language) was tackled by creating this post. I'm not sure how to approach this problem, but I've come up with some suggestions:

  • Use tags. This option seems to be the best, since it makes searching for libraries that match a given version simple. In fact, one could even search for those libraries by version using the API itself. The downside of this is that comparitive searching is difficult. If you want to find all libraries that uses v1.1 or newer, then you must use all of the tags for newer versions ([v1.1] and [v2.0]). Beta releases of the API make this even harder.
  • Create another question. We could create a 'list of libraries by API version' post that lists each API version followed by the libraries that make use of it. The problem with this approach is constantly updating a certain question and the risk that it might omit some library or be out of date. It would also require that each new user listing a library be informed about the post.
  • Create a "special meta-attribute". Similar to how the thumbnails and version are stored in the question, we could perhaps add a meta-attribute to the libraries that indicate the version of the API that the library was developed against. This would require the team to add support for the attribute and perhaps create a page or something that allows us to browse the data.

So what does the community think? Which of these approaches is best? Which one would make it the easiest to search for libraries?

share|improve this question
1  
tbh, In the same way StackExchange is not a good design for a forum (or at least thats whats said), it is not a good design for listing apps and libraries. I know you created a site to list them in a much better format, but it is not as well known as StackApps, (which Im guessing is one the least known sites in the network). The apps tab has gotten by, but instead of forcing it, and "patching" on features to do what is needed, your site (after a design to match stack apps)or something like it, should be made the stack apps homepage. –  Jonathan. Dec 27 '11 at 16:52
    
I would just tag the newer library releases with 2.0 for now, and assume anything untagged is 1.1 or 1.0. There aren't that many libraries so I don't think this is a serious issue @Jonathan –  Jeff Atwood Dec 28 '11 at 23:25
add comment

migrated from meta.stackoverflow.com Oct 7 '11 at 20:41

This question came from our discussion, support, and feature requests site for professional and enthusiast programmers.

1 Answer

up vote 2 down vote accepted
+100

Now that we're actually into 2.0...

Tag libraries that consume V2.0 with . It really is the only option that makes sense, metadata wouldn't be easily searchable and new questions aren't going to scream "V2.0 compatible" without a tag to that effect.

I don't think there's any point in tagging older libraries with 1.0 or 1.1; the omition of V2.0 says that just fine, and if we're lucky we'll be able to get everyone onto 2.0 in a timely-ish fashion* making it possible to just retire the 1.x family.

*Naturally, we're not going to start down that path until 2.0 is completely out of beta.

share|improve this answer
    
Alright, I will do that. –  Nathan Osman Dec 28 '11 at 17:24
    
I agree with that; but, again, how could I find an application developed against 2.0 API? I would like to take a look on what the other participants of the contest are doing, is it possible at the moment? –  systempuntoout Jan 2 '12 at 13:26
add comment

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .